> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-ticker/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get spread ticker GET https://www.okx.com/api/v5/sprd/ticker Retrieve the latest price snapshot, best bid/ask price, and 24-hour trading volume of a spread. This is a public endpoint. Reference: https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-ticker ## Request ### Query parameters - `sprdId` (string, required) — Spread ID, e.g. BTC-USDT_BTC-USDT-SWAP. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5SprdTickerGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5SprdTickerGetResponsesContentApplicationJsonSchemaDataItems - `sprdId` (string, optional) — Spread ID. - `last` (string, optional) — Last traded price. - `lastSz` (string, optional) — Last traded quantity. - `askPx` (string, optional) — Best ask price. - `askSz` (string, optional) — Best ask size. - `bidPx` (string, optional) — Best bid price. - `bidSz` (string, optional) — Best bid size. - `open24h` (string, optional) — Open price in the past 24 hours. - `high24h` (string, optional) — Highest price in the past 24 hours. - `low24h` (string, optional) — Lowest price in the past 24 hours. - `vol24h` (string, optional) — 24-hour trading volume, in the unit of the order quantity currency. - `ts` (string, optional) — Ticker data generation time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "string", "msg": "string", "data": [ { "sprdId": "string", "last": "string", "lastSz": "string", "askPx": "string", "askSz": "string", "bidPx": "string", "bidSz": "string", "open24h": "string", "high24h": "string", "low24h": "string", "vol24h": "string", "ts": "string" } ] } ``` **SDK Code** ```python import requests url = "https://www.okx.com/api/v5/sprd/ticker" querystring = {"sprdId":"BTC-USDT_BTC-USDT-SWAP"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript const url = 'https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP") .asString(); ``` ```php request('GET', 'https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/sprd/ticker?sprdId=BTC-USDT_BTC-USDT-SWAP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```